<div class="resetPasswordBody">
  <div class="resetPasswordForm">
    <md-card>
      <div class="mdl-card__title mdl-card--expand">
        <img src="../../../assets/img/Yum-logo-small.png">
      </div>
      <h4 class="noMarginsPaddings" align="center">You asked to change your password</h4>

      <form novalidate (ngSubmit)="changePassword(credentials)" [formGroup]="credentials" autocomplete="off">

        <div class="mdl-card__supporting-text">
          <div>
            <div class="please-style">
              Please enter a new password to continue
            </div>
            <!-- Password -->
            <md-input-container class="formWidth">
              <input type="password" mdInput placeholder="Password" formControlName="password" />
              <md-error *ngIf="credentials.get('password').touched && credentials.get('password').hasError('required')">
                Password is required
              </md-error>
              <md-error *ngIf="credentials.get('password').touched && credentials.get('password').hasError('minlength')">
                Minimum of 6 characters
              </md-error>
              <md-error *ngIf="credentials.get('password').touched && credentials.get('password').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>
          </div>

          <div>
            <!-- Repeat Password -->
            <md-input-container class="formWidth">
              <input type="password" mdInput placeholder="Confirm Password" formControlName="rePassword" />
              <md-error *ngIf="credentials.get('rePassword').touched && credentials.hasError('nomatch')">
                Passwords must match
              </md-error>
              <md-error *ngIf="credentials.get('rePassword').touched && credentials.get('rePassword').hasError('required')">
                Password is required
              </md-error>
              <md-error *ngIf="credentials.get('rePassword').touched && credentials.get('rePassword').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>
          </div>
        </div>

        <div class="mdl-card__actions mdl-card--border">
          <div class="marginTop" fxLayout="row" fxLayoutAlign="center center">
            <div fxFlex="18">
            </div>
            <button fxFlex="64" type="submit" [disabled]="credentials.invalid || loading " md-raised-button color="accent">Change Password</button>
            <div fxLayoutAlign="center center" fxFlex="18">
              <md-spinner style="float:right" *ngIf="loading"></md-spinner>
            </div>
          </div>
        </div>
      </form>
    </md-card>
  </div>
</div>
